 
  // Variables
  var defaultColor;
  var darkColor;
  var lightColor;
  var iterations = 4;
  
  // Read the cookies:
  if($.cookie("color")){
    defaultColor = $.cookie("color");
  }else{
    defaultColor = '#0000ff';
  }
  

  $(document).ready(function() {
    
    // Change div color on load
    $('#colorpicker').css('backgroundColor', defaultColor);
    $('#origColor').css('backgroundColor', defaultColor);
    
    // Set light and dark colors (multi-iterations)
    darkColor = $.xcolor.darken(defaultColor).getHex(); 
    for (var i = 0; i < iterations; i++) {
      darkColor = $.xcolor.darken(darkColor).getHex();
    }
     
    lightColor = $.xcolor.lighten(defaultColor).getHex();
    for (var i = 0; i < iterations; i++) {
      lightColor = $.xcolor.lighten(lightColor).getHex();
    }
    
    // Set the border
    $('#colorpicker').css('border-color', darkColor);
    
    // Set the light and dark divs
    $('#darkColor').css('backgroundColor', darkColor);
    $('#lightColor').css('backgroundColor', lightColor);
    
    // Change class attributes
    $('.light').css('backgroundColor', lightColor);
    $('.dark').css('backgroundColor', darkColor);
    $('.pad').css('backgroundColor', defaultColor);
    
    // Color Picker Loader
    $('#colorpicker').ColorPicker({
    
       color: defaultColor,
  	   onShow: function (colpkr) {
  		    $(colpkr).fadeIn(500);
  		    return false;
  	   },
  	   onHide: function (colpkr) {
  		    $(colpkr).fadeOut(500);
  		    return false;
  	   },
  	   onChange: function (hsb, hex, rgb) {
          var origColor = '#' + hex;
       
          // Set the main div background colors to what was selected in the color picker
  		    $('#colorpicker').css('backgroundColor', origColor);
          $('#origColor').css('backgroundColor', origColor);
          
          // Set the cookie
          $.cookie("color", '#' + hex, { path: '/' });
          
          // Set the dark and light colors (multi-iterations)
          darkColor = $.xcolor.darken('#' + hex).getHex();
          for (var i = 0; i < iterations; i++) {
            darkColor = $.xcolor.darken(darkColor).getHex();
          }
            
          lightColor = $.xcolor.lighten('#' + hex).getHex();
          for (var i = 0; i < iterations; i++) {
            lightColor = $.xcolor.lighten(lightColor).getHex();
          }
          
          
          // Set the light and dark divs
          $('#darkColor').css('backgroundColor', darkColor);
          $('#lightColor').css('backgroundColor', lightColor);
          
          // Change class attributes
          $('.light').css('backgroundColor', lightColor);
          $('.dark').css('backgroundColor', darkColor);
          $('.pad').css('backgroundColor', origColor);
          
          // Set the border
          $('#colorpicker').css('border-color', darkColor);
          
          
  	   }
    }); 
  });

